﻿using System;
using System.IO;
using System.Net;

namespace FactoryWebRequestExample
{
    class Program
    {
        // http://msdn.microsoft.com/en-us/library/456dfw4f%28v=vs.110%29.aspx
        static void Main()
        {
            // Create a request for the URL. 
            WebRequest request = WebRequest.Create("http://www.contoso.com/default.html");
            // can be HttpWebRequest, FileWebRequest, or FtpWebRequest
            if (request is HttpWebRequest) {
                Console.WriteLine("This is a HTTP request");
            }
            // If required by the server, set the credentials.
            request.Credentials = CredentialCache.DefaultCredentials;
            // Get the response.
            WebResponse response = request.GetResponse();
            // Display the status.
            HttpWebResponse httpWebResponse = (HttpWebResponse)response;
            Console.WriteLine(httpWebResponse.StatusDescription);
            // Get the stream containing content returned by the server.
            Stream dataStream = response.GetResponseStream();
            // Open the stream using a StreamReader for easy access.
            StreamReader reader = new StreamReader(dataStream);
            // Read the content.
            string responseFromServer = reader.ReadToEnd();
            // Display the content.
            Console.WriteLine(responseFromServer);
            // Clean up the streams and the response.
            reader.Close();
            response.Close();
        }
    }
}
